export default defineEventHandler(async (event) => {
  const userId: string = event.context.params ? event.context.params.id : '@me'

  const user = await getUser(userId, event)
  await applyUsername(user)

  return user
})
